# $Id: smeserver-zabbix-server.spec,v 1.2 2016/06/13 16:53:08 unnilennium Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

%define name smeserver-zabbix-server
%define version 0.1
%define release 15
Summary: sme server integration of zabbix server and web front-end
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.zabbix.com/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz

Patch0: smeserver-zabbix-server-0.1-sendxmpp_template.patch
Patch1: smeserver-zabbix-server-0.1-sendxmpp_shell_script_header.patch
Patch2: smeserver-zabbix-server-0.1-disable_web_access.patch
Patch3:	smeserver-zabbix-server-0.1-mysql_db_pass.patch
Patch4:	smeserver-zabbix-server-0.1-script_and_tmp_location.patch
Patch5: smeserver-zabbix-server-0.1-event_zabbix-server-update.patch
Patch6: smeserver-zabbix-server-0.1-enable_db_cache.patch
Patch7:	smeserver-zabbix-server-0.1-adjust_masq.patch
Patch8:	smeserver-zabbix-server-0.1-sendxmpprc.patch
Patch9:	smeserver-zabbix-server-0.1-sendxmpprc_template_fix.patch
Patch10: smeserver-zabbix-server-0.1-path2sendxmpprc.patch
Patch11: smeserver-zabbix-server-0.1-multiple_dbpatches.patch
Patch12: smeserver-zabbix-server-0.1-use_global_tz.patch
Patch13: smeserver-zabbix-server-0.1-php_mem_limit.patch
Patch14: smeserver-zabbix-server-0.1-sme9db.patch

BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-release >= 7.0
Requires: fping
Requires: zabbix-server-mysql
Requires: zabbix-web-mysql
Requires: sendxmpp
Requires: smeserver-remoteuseraccess
AutoReqProv: no

%description
smserver integration of zabbix server and web front-end.
ZAbbix is an entreprise-class open source distributed monitoring
solution

%changelog
* Mon Jun 13 2016 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-15.sme
- finitial import [SME: 9569]
- fix php requirement
- fix add path to new db

* Wed Feb 7 2016 stephane de Labrusse <stephdl@de-labrusse.fr> 0.1-14.sme
- New roll for sme9

* Mon Apr 29 2013 Daniel B. <daniel@firewall-services.com> 0.1-13
- Increase PHP mem limit to 128M

* Mon Mar 8 2010 Daniel B. <daniel@firewall-services.com> 0.1-12
- Use global TimeZone

* Wed Dec 2 2009 Daniel B. <daniel@firewall-services.com> 0.1-11
- Support several mysql DB patches

* Tue Mar 02 2009 Daniel B. <daniel@firewall-services.com> 0.1-10
- Add smeserver-remoteuseraccess as a dependencie (sudoers template problem)

* Mon Mar 02 2009 Daniel B. <daniel@firewall-services.com> 0.1-9
- specify path to .sendxmpprc file in the script sendxmpp

* Mon Mar 02 2009 Daniel B. <daniel@firewall-services.com> 0.1-8
- move .sendxmpprc template to the correct directory

* Mon Mar 02 2009 Daniel B. <daniel@firewall-services.com> 0.1-7
- Move jabber account informations to xmpprc

* Mon Mar 02 2009 Daniel B. <daniel@firewall-services.com> 0.1-6
- Adjust service masq during zabbix-server-update event
- Enable DB cache module with StartDBSyncers directive

* Sun Mar 01 2009 Daniel B. <daniel@firewall-services.com> 0.1-5
- Fix permissions on /var/lib/zabbix/tmp

* Tue Feb 17 2009 Daniel B. <daniel@firewall-services.com> 0.1-4
- rename event zabbix-update to zabbix-server-update

* Wed Feb 11 2009 Daniel B. <daniel@firewall-services.com> 0.1-3
- disable web access (usefull for distributed monitoring)
- Use stronger password for mysql database
- Use /var/lib/zabbix/bin as default location for scripts
- Use /var/lib/zabbix/tmp for temp dir

* Fri Feb 06 2009 Daniel B. <daniel@firewall-services.com> 0.1-2
- Link template-begin-shell to template-begin for sendxmpp script

* Fri Feb 06 2009 Daniel B. <daniel@firewall-services.com> 0.1-1
- templatize sendxmpp as zabbix user doesn't have access to SME db
- Add JabberTLS option in the db

* Mon Feb 02 2009 Daniel B. <daniel@firewall-services.com> 0.1-0
- initial release

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1

%build
perl ./createlinks
%{__mkdir_p} root/var/lib/zabbix/tmp

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
	--file /var/lib/zabbix/bin/fping 'attr(0750,root,zabbix)' \
	--file /var/lib/zabbix/bin/fping6 'attr(0750,root,zabbix)' \
	--dir /var/lib/zabbix/tmp 'attr(0755,zabbix,zabbix)' \
	> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%postun
#uninstall
if [ $1 = 0 ] ; then
 /sbin/e-smith/db configuration setprop zabbix-server status disabled
 /etc/init.d/zabbix-server stop
 /sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
 /usr/bin/sv h /service/httpd-e-smith
fi

true
